aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xlibs/common14
-rwxr-xr-xlibs/git4
-rwxr-xr-xlibs/project8
-rw-r--r--projects/libreboot-release/install/libreboot-release30
-rwxr-xr-xprojects/libreboot-sources/install/libreboot-sources4
-rwxr-xr-xtools/release-external/release-external-helper2
6 files changed, 31 insertions, 31 deletions
diff --git a/libs/common b/libs/common
index 6cd2dfe0..d0fd1203 100755
--- a/libs/common
+++ b/libs/common
@@ -39,9 +39,9 @@ DOTRNDSEED=".rndseed"
DOTVERSION=".version"
DOTREVISION=".revision"
DOTTARFILES=".tarfiles"
-TAR_XZ="tar.xz"
-SHA256SUM="sha256sum"
-ASC="asc"
+ARCHIVE="tar.xz"
+CHECKSUM="sha256sum"
+DSIG="asc"
function_check() {
local function=$1
@@ -93,7 +93,7 @@ path_wildcard_expand() {
file_checksum_create() {
local path=$1
- local checksum_path="$path.$SHA256SUM"
+ local checksum_path="$path.$CHECKSUM"
local name=$( basename "$path" )
local directory_path=$( dirname "$path" )
@@ -106,7 +106,7 @@ file_checksum_create() {
file_checksum_check() {
local path=$1
- local checksum_path="$path.$SHA256SUM"
+ local checksum_path="$path.$CHECKSUM"
local name=$( basename "$path" )
local directory_path=$( dirname "$path" )
@@ -125,7 +125,7 @@ file_checksum_check() {
file_signature_create() {
local path=$1
- local signature_path="$path.$ASC"
+ local signature_path="$path.$DSIG"
if [ -z "$RELEASE_KEY" ]
then
@@ -138,7 +138,7 @@ file_signature_create() {
file_signature_check() {
local path=$1
- local signature_path="$path.$ASC"
+ local signature_path="$path.$DSIG"
if ! [ -f "$signature_path" ]
then
diff --git a/libs/git b/libs/git
index a6509fc1..5869825d 100755
--- a/libs/git
+++ b/libs/git
@@ -579,7 +579,7 @@ git_project_release() {
if ! [ -z "$release_branch" ]
then
- local archive_path="$root/$RELEASE/$SOURCES/$project/$release_branch.$TAR_XZ"
+ local archive_path="$root/$RELEASE/$SOURCES/$project/$release_branch.$ARCHIVE"
local sources_path="$root/$SOURCES/$repository"
printf '%s\n' "Releasing sources archive for $project (with ${arguments:-no argument}) from "$repository" git"
@@ -620,7 +620,7 @@ git_project_release_check() {
if ! [ -z "$release_branch" ]
then
- local archive_path="$root/$RELEASE/$SOURCES/$project/$release_branch.$TAR_XZ"
+ local archive_path="$root/$RELEASE/$SOURCES/$project/$release_branch.$ARCHIVE"
file_exists_check "$archive_path"
diff --git a/libs/project b/libs/project
index babeb6bd..38e9b40d 100755
--- a/libs/project
+++ b/libs/project
@@ -425,7 +425,7 @@ project_sources_archive() {
path="$path-$argument"
fi
- local archive="$path.$TAR_XZ"
+ local archive="$path.$ARCHIVE"
if ! [ -f "$archive" ]
then
@@ -1056,7 +1056,7 @@ project_release_archive_path() {
path="$path-$argument"
done
- local archive_path="$release_path/$path.$TAR_XZ"
+ local archive_path="$release_path/$path.$ARCHIVE"
printf '%s\n' "$archive_path"
}
@@ -1076,7 +1076,7 @@ project_release_rootfs_path() {
path="$path-$argument"
done
- local rootfs_path="$release_path/$path.$TAR_XZ"
+ local rootfs_path="$release_path/$path.$ARCHIVE"
printf '%s\n' "$rootfs_path"
}
@@ -1109,7 +1109,7 @@ project_release_sources_archive_path() {
if ! [ -z "$release_path" ]
then
- local archive_path="$root/$RELEASE/$SOURCES/$project/$release_path.$TAR_XZ"
+ local archive_path="$root/$RELEASE/$SOURCES/$project/$release_path.$ARCHIVE"
printf '%s\n' "$archive_path"
fi
diff --git a/projects/libreboot-release/install/libreboot-release b/projects/libreboot-release/install/libreboot-release
index 97f385df..08c4d64b 100644
--- a/projects/libreboot-release/install/libreboot-release
+++ b/projects/libreboot-release/install/libreboot-release
@@ -22,8 +22,8 @@ SYSTEMS="systems"
IMAGES="images"
TOOLS="tools"
-TAR_XZ="tar.xz"
-SHA256SUM="sha256sum"
+ARCHIVE="tar.xz"
+CHECKSUM="sha256sum"
ASC="asc"
usage() {
@@ -66,15 +66,15 @@ download() {
directory="$directory-$part"
fi
- path="$root/$prefix/$directory/$project.$TAR_XZ"
- url="$DOWNLOAD_URL/$prefix/$directory/$project.$TAR_XZ"
+ path="$root/$prefix/$directory/$project.$ARCHIVE"
+ url="$DOWNLOAD_URL/$prefix/$directory/$project.$ARCHIVE"
if wget --quiet --spider "$url"
then
mkdir -p "$( dirname "$path" )"
wget -O "$path" "$url"
- wget -O "$path.$SHA256SUM" "$url.$SHA256SUM"
- wget -O "$path.$ASC" "$url.$ASC"
+ wget -O "$path.$CHECKSUM" "$url.$CHECKSUM"
+ wget -O "$path.$DSIG" "$url.$DSIG"
printf '\n%s\n' "Downloaded $project"
@@ -92,15 +92,15 @@ download() {
sources() {
local project=$1
- local url="$DOWNLOAD_URL/$SOURCES/$project/$project.$TAR_XZ"
- local path="$root/$SOURCES/$project/$project.$TAR_XZ"
+ local url="$DOWNLOAD_URL/$SOURCES/$project/$project.$ARCHIVE"
+ local path="$root/$SOURCES/$project/$project.$ARCHIVE"
if wget --quiet --spider "$url"
then
mkdir -p "$( dirname "$path" )"
wget -O "$path" "$url"
- wget -O "$path.$SHA256SUM" "$url.$SHA256SUM"
- wget -O "$path.$ASC" "$url.$ASC"
+ wget -O "$path.$CHECKSUM" "$url.$CHECKSUM"
+ wget -O "$path.$DSIG" "$url.$DSIG"
printf '\n%s\n' "Downloaded $project sources"
else
@@ -136,21 +136,21 @@ verify() {
directory="$directory-$part"
fi
- path="$root/$prefix/$directory/$project.$TAR_XZ"
+ path="$root/$prefix/$directory/$project.$ARCHIVE"
if ! [ -f "$path" ]
then
continue
fi
- checksum_path="$path.$SHA256SUM"
- signature_path="$path.$ASC"
+ checksum_path="$path.$CHECKSUM"
+ signature_path="$path.$DSIG"
if [ -f "$checksum_path" ]
then
(
cd "$( dirname "$path" )"
- sha256sum -c "$project.$TAR_XZ.$SHA256SUM"
+ sha256sum -c "$project.$ARCHIVE.$CHECKSUM"
)
else
printf '%s\n' "Could not verify $project checksum!" >&2
@@ -200,7 +200,7 @@ extract() {
directory="$directory-$part"
fi
- path="$root/$prefix/$directory/$project.$TAR_XZ"
+ path="$root/$prefix/$directory/$project.$ARCHIVE"
if ! [ -f "$path" ]
then
diff --git a/projects/libreboot-sources/install/libreboot-sources b/projects/libreboot-sources/install/libreboot-sources
index f51fb93a..d836054d 100755
--- a/projects/libreboot-sources/install/libreboot-sources
+++ b/projects/libreboot-sources/install/libreboot-sources
@@ -18,7 +18,7 @@
BUILD_SYSTEM="libreboot"
SOURCES="sources"
-TAR_XZ="tar.xz"
+ARCHIVE="tar.xz"
usage() {
printf '%s\n' "$executable [action] [sources path] (extract path)" >&2
@@ -46,7 +46,7 @@ extract() {
return
fi
- archive=$( find $sources_path -name "$BUILD_SYSTEM-sources.$TAR_XZ" || true )
+ archive=$( find $sources_path -name "$BUILD_SYSTEM-sources.$ARCHIVE" || true )
if [ -z "$archive" ]
then
printf '%s\n' "Finding $BUILD_SYSTEM sources archive failed!" >&2
diff --git a/tools/release-external/release-external-helper b/tools/release-external/release-external-helper
index bde03cfe..f10ac41a 100755
--- a/tools/release-external/release-external-helper
+++ b/tools/release-external/release-external-helper
@@ -1,5 +1,5 @@
#!/usr/bin/env bash
release_external_files() {
- find "$root/$RELEASE" -type f | grep -vP "\.$ASC|\.$SHA256SUM"
+ find "$root/$RELEASE" -type f | grep -vP "\.$DSIG|\.$CHECKSUM"
}